import { Strategy } from "passport-jwt";
import { PrismaService } from "src/prisma/prisma.service";
import { RequestUser } from "../types/request-user.type";
import { ConfigService } from "@nestjs/config";
declare const JwtStrategy_base: new (...args: [opt: import("passport-jwt").StrategyOptionsWithRequest] | [opt: import("passport-jwt").StrategyOptionsWithoutRequest]) => Strategy & {
    validate(...args: any[]): unknown;
};
export declare class JwtStrategy extends JwtStrategy_base {
    private prisma;
    constructor(prisma: PrismaService, config: ConfigService);
    validate(payload: {
        sub: string;
        email: string;
    }): Promise<RequestUser | null>;
}
export {};
